curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/categories \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/users/{user_guid}/categories"
payload = {}
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/users/{user_guid}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"created_at": "2025-02-13T18:08:00+00:00",
"guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"is_default": true,
"is_income": false,
"metadata": "some metadata",
"name": "Auto Insurance",
"parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"updated_at": "2025-02-13T18:09:00+00:00"
}
}Create category
user.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
Custom category object to be created
Hide child attributes
Hide child attributes
The name of the category.
"Online Shopping"
The unique identifier for the parent category.
"CAT-aad51b46-d6f7-3da5-fd6e-492328b3023f"
Additional information you can store on the category.
"some metadata"
Response
OK
Hide child attributes
Hide child attributes
The date and time the category was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The unique identifier for the category. Defined by MX.
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Indicates whether the category is an MX-created default category. This will always be false for custom categories.
true
Indicates whether the transaction is income.
false
Additional information you stored on the category.
"some metadata"
The name of the category.
"Auto Insurance"
The unique identifier for the parent category. Defined by MX.
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"

